#include "Movil.h"


int Movil::getspeedX()
{
	return speedX;
}

int Movil::getspeedY()
{
	return speedY;
}

void Movil::setspeedX(int sX)
{
	speedX=sX;
}

void Movil::setspeedY(int sY)
{
	speedY=sY;
}

void Movil::Dibujar(SDL_Surface *fondo)
{
	SDL_BlitSurface(fondo, &anterior, fondo, &anterior);
	SDL_BlitSurface(imagen, NULL, fondo, &posicion);
	// se podria mejorar dibujando solo la diferencia entre 
	//posicion y anterior
}

Movil::~Movil()
{
	
}
